---

image: "python:slim-buster"

stages:
  - test

before_script:
  - pip install flake8
  - pip install -r open-weather/app/requirements.txt

test:
  stage: test
  script:
    - flake8 open-weather/app/get_weather.py
    - declare -x OPENWEATHER_API_KEY="$OPENWEATHER_API_KEY"
    - declare -x CITY_NAME="$CITY_NAME"
    - python open-weather/app/get_weather.py
